package shadow

import (
	"crypto/tls"
	"fmt"
	"net"
	"testing"
	"time"
)

func TestName(t *testing.T) {
	dial, err := tls.DialWithDialer(&net.Dialer{
		Timeout: time.Second * 5,
	}, "tcp", "evan.run:443", &tls.Config{
		ServerName: "evan.run",
	})

	err = dial.Handshake()
	if err != nil {
		fmt.Println(err)
	}
	time.Sleep(time.Minute)
}

func TestName2(t *testing.T) {
	b := []byte("ABC")
	encrypt, err := AesEncrypt(b, []byte("1234567812345678"))
	if err != nil {
		fmt.Println(err)
	}
	decrypt, err := AesDecrypt(encrypt, []byte("1234567812345678"))
	if err != nil {
		fmt.Println(err)
	}
	fmt.Println(string(decrypt))
}
